<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg unshelve</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-unshelve">
<span id="hg-unshelve-1"></span>
<h1 class="title">hg unshelve</h1>
<h2 class="subtitle" id="restore-a-shelved-change-to-the-working-directory">restore a shelved change to the working directory</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg unshelve [OPTION]... [[-n] SHELVED]
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>This command accepts an optional name of a shelved change to
restore. If none is given, the most recent shelved change is used.</p>
<p>If a shelved change is applied successfully, the bundle that
contains the shelved changes is moved to a backup location
(.hg/shelve-backup).</p>
<p>Since you can restore a shelved change on top of an arbitrary
commit, it is possible that unshelving will result in a conflict
between your changes and the commits you are unshelving onto. If
this occurs, you must resolve the conflict, then use
<tt class="docutils literal"><span class="pre">--continue</span></tt> to complete the unshelve operation. (The bundle
will not be moved until you successfully complete the unshelve.)</p>
<p>(Alternatively, you can use <tt class="docutils literal"><span class="pre">--abort</span></tt> to abandon an unshelve
that causes a conflict. This reverts the unshelved changes, and
leaves the bundle in place.)</p>
<p>If bare shelved change (without interactive, include and exclude
option) was done on newly created branch it would restore branch
information to the working directory.</p>
<p>After a successful unshelve, the shelved changes are stored in a
backup directory. Only the N most recent backups are kept. N
defaults to 10 but can be overridden using the <tt class="docutils literal">shelve.maxbackups</tt>
configuration option.</p>
<div class="verbose docutils container">
<p>Timestamp in seconds is used to decide order of backups. More
than <tt class="docutils literal">maxbackups</tt> backups are kept, if same timestamp
prevents from deciding exact order of them, for safety.</p>
<p>Selected changes can be unshelved with <tt class="docutils literal"><span class="pre">--interactive</span></tt> flag.
The working directory is updated with the selected changes, and
only the unselected changes remain shelved.
Note: The whole shelve is applied to working directory first before
running interactively. So, this will bring up all the conflicts between
working directory and the shelve, irrespective of which changes will be
unshelved.</p>
</div>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">-a</span>, <span class="option">--abort</span></kbd></td>
<td>abort an incomplete unshelve operation</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-c</span>, <span class="option">--continue</span></kbd></td>
<td>continue an incomplete unshelve operation</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-i</span>, <span class="option">--interactive</span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>use interactive mode (EXPERIMENTAL)</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-k</span>, <span class="option">--keep</span></kbd></td>
<td>keep shelve after unshelving</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-n</span>, <span class="option">--name <var>&lt;NAME&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>restore shelved change with given name</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-t</span>, <span class="option">--tool <var>&lt;VALUE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>specify merge tool</td></tr>
<tr><td class="option-group">
<kbd><span class="option">--date <var>&lt;DATE&gt;</var></span></kbd></td>
<td>set date for temporary commits (DEPRECATED)</td></tr>
</tbody>
</table>
</div>
</div>
</body>
</html>
